### Class

# EvinceView PrintOperation

#### Description

    abstract class EvinceView.PrintOperation : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### ev_print_operation_new

No description available.

#### Functions

###### ev_print_operation_exists_for_document

No description available.

#### Instance methods

###### ev_print_operation_cancel

No description available.

###### ev_print_operation_get_default_page_setup

No description available.

###### ev_print_operation_get_embed_page_setup

No description available.

###### ev_print_operation_get_error

No description available.

###### ev_print_operation_get_job_name

No description available.

###### ev_print_operation_get_print_settings

No description available.

###### ev_print_operation_get_progress

No description available.

###### ev_print_operation_get_status

No description available.

###### ev_print_operation_run

No description available.

###### ev_print_operation_set_current_page

No description available.

###### ev_print_operation_set_default_page_setup

No description available.

###### ev_print_operation_set_embed_page_setup

No description available.

###### ev_print_operation_set_job_name

No description available.

###### ev_print_operation_set_print_settings

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### EvinceView.PrintOperation:document

No description available.

#### Signals

###### EvinceView.PrintOperation::begin-print

No description available.

###### EvinceView.PrintOperation::done

No description available.

###### EvinceView.PrintOperation::status-changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EvinceViewPrintOperationClass {
      /* no available fields */
    }

No description available.